WorldViz User Forum  

Go Back   WorldViz User Forum > Vizard

Reply
 
Thread Tools Rate Thread Display Modes
  #1  
Old 03-06-2007, 07:23 PM
djdesmangles djdesmangles is offline
Member
 
Join Date: Nov 2006
Posts: 88
Exclamation Problem with Sensable...

Hello Wizards,

I'm trying to work with my Sensable Phantom [Omni]. I got the Vizard 3b4 (last update) and it still telling me that it can't load "hd.dlm".

I've installed the driver and OpenHaptics. The test are running fine but it's not working with Vizard...

Thanks a lot...
D.
Reply With Quote
  #2  
Old 03-07-2007, 10:01 AM
farshizzo farshizzo is offline
WorldViz Team Member
 
Join Date: Mar 2003
Posts: 2,849
Which version of OpenHaptics do you have installed? The hd.dlm plugin uses version 1.0.41 of OpenHaptics. You might have a newer version that is not compatible.

Also, make sure that the OpenHaptic DLLs are on the system path.
Reply With Quote
  #3  
Old 03-08-2007, 07:01 PM
djdesmangles djdesmangles is offline
Member
 
Join Date: Nov 2006
Posts: 88
Unhappy Then...

Hello,

hl.dll and hd.dll and both in the path system. However, the OpenHaptic version is 1.0.42...

I do not have note the message, but it seemed to say that it could not find an entrance point in the DLL...

Best regards,
D.
Reply With Quote
  #4  
Old 03-08-2007, 07:13 PM
farshizzo farshizzo is offline
WorldViz Team Member
 
Join Date: Mar 2003
Posts: 2,849
You should contact Sensable and request version 1.0.41 of the OpenHaptics toolkit. Hopefully this will solve the problem.
Reply With Quote
  #5  
Old 03-11-2007, 12:39 PM
djdesmangles djdesmangles is offline
Member
 
Join Date: Nov 2006
Posts: 88
Question Dll ?

Hello,

Could you send me the right dll in zip format ?

Ciao,
D.
Reply With Quote
  #6  
Old 03-12-2007, 10:31 AM
farshizzo farshizzo is offline
WorldViz Team Member
 
Join Date: Mar 2003
Posts: 2,849
I don't think we're allowed to distribute the OpenHaptics toolkit. I'll check though. Did you try getting it from Sensable?

We'll be getting a Phantom Omni in the office soon, so I'll be able to update the plugin to use the latest version of OpenHaptics. However, there is no guarantee when that will happen.
Reply With Quote
  #7  
Old 03-13-2007, 05:00 AM
djdesmangles djdesmangles is offline
Member
 
Join Date: Nov 2006
Posts: 88
Sensable

Hello,

Yes, I've contacted Sensable: they're telling me that I must purchase OpenHaptics!! It's not fair... I already got OpenHaptics, but it's only the wrong version...

I'm going to try again...

Thanks...
D.
Reply With Quote
  #8  
Old 03-13-2007, 09:29 AM
farshizzo farshizzo is offline
WorldViz Team Member
 
Join Date: Mar 2003
Posts: 2,849
Yeah, that seems a bit ridiculous. Hopefully we'll get the new version of OpenHaptics here soon and I can build you a compatible plugin.
Reply With Quote
  #9  
Old 03-13-2007, 06:53 PM
djdesmangles djdesmangles is offline
Member
 
Join Date: Nov 2006
Posts: 88
Okay...

Okay , I'll wait for the new plugin.

Thanks a lot,
D.
Reply With Quote
  #10  
Old 03-20-2007, 11:16 AM
tobin tobin is offline
WorldViz Team Member
 
Join Date: Feb 2003
Posts: 251
We've been in touch with Sensable and have found that Sensable's policy is to provide academic institutions free upgrades to all newer versions. If instead you are a commercial customer you will need to purcahse a maintenance contract for $300/yr to obtain updates.
Reply With Quote
Reply

Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 10:03 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Copyright 2002-2018 WorldViz LLC